<?php


namespace vipclient\airport;

use vipclient\BaseObject;

/**
 * Class Item
 *
 * @package vipclient\airport
 * @property-read string $code
 * @property-read string $name
 */
class Item extends BaseObject
{
    /** @var string */
    protected $code;
    /** @var string */
    protected $name;

    /**
     * @return string
     */
    protected function getCode()
    {
        return $this->code;
    }

    /**
     * @return string
     */
    protected function getName()
    {
        return $this->name;
    }
}