<?php


namespace vipclient\order;


use vipclient\BaseObject;

/***
 * Class OrderPassenger
 *
 * @package vipclient\order
 * @property string $name
 * @property string $lastname
 * @property string $middlename
 * @property string $birthday
 */
class OrderPassenger extends BaseObject
{
    /** @var string */
    protected $name;
    /** @var string */
    protected $lastname;
    /** @var string */
    protected $middlename;
    /** @var string */
    protected $birthday;

    /**
     * @return string
     */
    protected function getName()
    {
        return $this->name;
    }

    /**
     * @return string
     */
    protected function getLastname()
    {
        return $this->lastname;
    }

    /**
     * @return null
     */
    protected function getMiddlename()
    {
        return $this->middlename;
    }

    /**
     * @return null
     */
    protected function getBirthday()
    {
        return $this->birthday;
    }

    /**
     * @param string $value
     */
    protected function setName($value)
    {
        $this->name = $value;
    }

    /**
     * @param string $value
     */
    protected function setLastname($value)
    {
        $this->lastname = $value;
    }

    /**
     * @param string $value
     */
    protected function setMiddlename($value)
    {
        $this->middlename = $value;
    }

    /**
     * @param string $value
     */
    protected function setBirthday($value)
    {
        $this->birthday = $value;
    }


}