<?php


namespace vipclient\api;

use vipclient\airport\Item;

/**
 * Class ApiAirport
 *
 * @package vipclient\api
 */
class ApiAirport extends ApiBase
{
    /**
     * @return array
     * @throws \Exception
     */
    public function items()
    {
        $result = [];
        $data = $this->client->sendRequest('airport/items');
        foreach ($data as $itemData) {
            $item = new Item();
            $item->load($itemData);
            $result[] = $item;
        }
        return $result;
    }
}