<?php


namespace vipclient\order;


use vipclient\BaseObject;

/**
 * Class OrderContact
 *
 * @package vipclient\order
 * @property string $name
 * @property string $lastname
 * @property string $middlename
 * @property string $phone
 * @property string $phone2
 * @property string $email
 */
class OrderContact extends BaseObject
{
    /** @var string */
    protected $name;
    /** @var string */
    protected $lastname;
    /** @var string */
    protected $middlename;
    /** @var string */
    protected $phone;
    /** @var string */
    protected $phone2;
    /** @var string */
    protected $email;

    /**
     * @return string
     */
    protected function getName()
    {
        return $this->name;
    }
    /**
     * @return string
     */
    protected function getLastname()
    {
        return $this->lastname;
    }
    /**
     * @return string
     */
    protected function getMiddlename()
    {
        return $this->middlename;
    }
    /**
     * @return string
     */
    protected function getPhone()
    {
        return $this->phone;
    }
    /**
     * @return string
     */
    protected function getPhone2()
    {
        return $this->phone2;
    }
    /**
     * @return string
     */
    protected function getEmail()
    {
        return $this->email;
    }

    /**
     * @param string $value
     */
    protected function setName($value)
    {
        $this->name = $value;
    }
    /**
     * @param string $value
     */
    protected function setLastname($value)
    {
        $this->lastname = $value;
    }
    /**
     * @param string $value
     */
    protected function setMiddlename($value)
    {
        $this->middlename = $value;
    }
    /**
     * @param string $value
     */
    protected function setPhone($value)
    {
        $this->phone = $value;
    }
    /**
     * @param string $value
     */
    protected function setPhone2($value)
    {
        $this->phone2 = $value;
    }
    /**
     * @param string $value
     */
    protected function setEmail($value)
    {
        $this->email = $value;
    }
}